#
# spec file for package ftpd (Version 0.3.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcpd
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim

Name:         ftpd
Copyright:    BSD
Group:        System Environment/Daemons
Requires:     inet-daemon netcfg
Provides:     nkitserv:/usr/sbin/in.ftpd
Autoreqprov:  on
Version:      0.3.2
Release:      126
Summary:      The BSD FTP daemon
BuildRoot:    /var/tmp/%{name}-build
Url:          http://www.eleves.ens.fr:8080/home/madore/programs/#prog_ftpd-BSD
Source:       ftpd-BSD-%{version}.tar.bz2
Source1:      ftp.pam
Patch:        ftpd-BSD-%{version}.dif

%description
This package contains the BSD FTP (File Transfer Protocol) server daemon.
The FTP protocol is a method of transferring files between machines on a
network and/or over the Internet.

Authors:
--------
    David A. Madore <david.madore@ens.fr>

SuSE series: n

%prep
%setup -n ftpd-BSD-%{version}
%patch

%build
cd ftpd
make OPT_CFLAGS="$RPM_OPT_FLAGS"

%install
cd ftpd
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/pam.d/ftp
install -m 755 -s ftpd $RPM_BUILD_ROOT/usr/sbin/in.ftpd
install -m 644 ftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/ftpd.8
echo ".so man8/ftpd.8" > $RPM_BUILD_ROOT%{_mandir}/man8/in.ftpd.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ftpd/{GMT-WARNING,README}
%config(noreplace) /etc/pam.d/ftp
%doc %{_mandir}/man8/*
/usr/sbin/in.ftpd

%changelog -n ftpd
* Thu Jun 14 2001 - cihlar@suse.cz
- requires inet-daemon, not inetd [#8675]
* Tue Jun 05 2001 - cihlar@suse.cz
- removed complete path from PAM modules
* Sat May 05 2001 - kukuk@suse.de
- Increase buffersize for login name to UT_NAMESIZE.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Mar 16 2001 - cihlar@suse.cz
- added Url
- clean up spec file
* Thu Mar 01 2001 - ro@suse.de
- fixed to compile (define SA_LEN myself)
* Wed Jan 10 2001 - kukuk@suse.de
- Fix one byte buffer overflow
* Sat Nov 18 2000 - kukuk@suse.de
- Add some fixes from Andi Kleen
* Sun Oct 08 2000 - kukuk@suse.de
- Initial version
